[fastify-oas](../README.md) > [ServerVariableObject](../interfaces/servervariableobject.md)

# Interface: ServerVariableObject

## Hierarchy

 [ISpecificationExtension](ispecificationextension.md)

**↳ ServerVariableObject**

## Implemented by

* [ServerVariable](../classes/servervariable.md)

## Indexable

\[extensionName: `string`\]:&nbsp;`any`
## Index

### Properties

* [default](servervariableobject.md#default)
* [description](servervariableobject.md#description)
* [enum](servervariableobject.md#enum)

---

## Properties

<a id="default"></a>

###  default

**● default**: *`string` \| `boolean` \| `number`*

*Defined in node_modules/openapi3-ts/dist/model/OpenApi.d.ts:40*

___
<a id="description"></a>

### `<Optional>` description

**● description**: *`string`*

*Defined in node_modules/openapi3-ts/dist/model/OpenApi.d.ts:41*

___
<a id="enum"></a>

### `<Optional>` enum

**● enum**: *`string`[] \| `boolean`[] \| `number`[]*

*Defined in node_modules/openapi3-ts/dist/model/OpenApi.d.ts:39*

___

